lirc.client._State Class Reference
Python client bindings » Classes to send commands » Internal parser FSM

Internal FSM state. More...

Inheritance diagram for lirc.client._State:

## Static Public Attributes

int | BEGIN = 1
int | COMMAND = 2
int | RESULT = 3
int | DATA = 4
int | LINE_COUNT = 5
int | LINES = 6
int | END = 7
int | DONE = 8
int | NO_DATA = 9
int | SIGHUP_END = 10

## Detailed Description

Internal FSM state.

Definition at line 484 of file client.py.

The documentation for this class was generated from the following file:

- /home/mk/tmp/lirc/python-pkg/lirc/client.py (c46974b 2017-01-23 02:17:12 +0100)